### Home Classes Methods

### In Files

- lib/kramdown/utils/entities.rb

### Parent

Struct.new(:code_point, :name)

### Methods

- #char

### Class/Module Index

Quicksearch

- Kramdown
- Kramdown::Converter
- Kramdown::Converter::Base
- Kramdown::Converter::Html
- Kramdown::Converter::Kramdown
- Kramdown::Converter::Latex
- Kramdown::Converter::RemoveHtmlTags
- Kramdown::Converter::Toc
- Kramdown::Document
- Kramdown::Element
- Kramdown::Error
- Kramdown::Options
- Kramdown::Options::Boolean
- Kramdown::Parser
- Kramdown::Parser::Base
- Kramdown::Parser::GFM
- Kramdown::Parser::Html
- Kramdown::Parser::Html::Constants
- Kramdown::Parser::Html::ElementConverter
- Kramdown::Parser::Html::Parser
- Kramdown::Parser::Kramdown
- Kramdown::Parser::Markdown
- Kramdown::Utils
- Kramdown::Utils::Entities
- Kramdown::Utils::Entities::Entity
- Kramdown::Utils::Html
- Kramdown::Utils::OrderedHash
- Kramdown::Utils::Unidecoder

No matching classes.

# Kramdown::Utils::Entities::Entity

Represents an entity that has a `code_point` and `name`.

### Public Instance Methods

char() click to toggle source

Return the UTF8 representation of the entity.

    # File lib/kramdown/utils/entities.rb, line 20
    def char
      [code_point].pack('U*') rescue nil
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.